#!/bin/bash
PWD=$1
PATCHFILES=filelist.txt
MOODLEROOT="/srv/moodle/"
ERRORFILE="/tmp/mysql-error-report.txt"
minimumsize=10

# are  original-files the same
FILES=$(cat $PATCHFILES)
for f in $FILES; do
#  echo "${MOODLEROOT}$f.php" "$(basename ${f}.php-orig)" 
 rm -f $ERRORFILE
 FN="$(basename ${f}.php-orig)"
 diff "${MOODLEROOT}$f.php"  "$FN" >  $ERRORFILE
 actualsize=$(du -b "$ERRORFILE" | cut -f1)
  if [ $actualsize -ge $minimumsize ]; then 
   echo "${MOODLEROOT}${f}.php is not the original moodle-file. Is it already patched?"
   echo " check with --- diff ${MOODLEROOT}${f}.php $(basename ${f}).php.patched"
  else
   patch -b "${MOODLEROOT}$f.php" < "$(basename $f.patch)"
 fi
 echo " " 
done
rm -f $ERRORFILE
# if an error occurs then it would be written in the ERRORFILE, normal output will be destroyed
echo "Access to moodle-database"
mysql  -p${PWD} -e "select usercreated from mdl_course" moodle 2>  $ERRORFILE > /dev/null
actualsize=$(du -b "$ERRORFILE" | cut -f 1)
# we check if there were an error-message
if [ $actualsize -ge $minimumsize ]; then
  echo "column usercreated does not exist - I will create it!"
  echo "Access to moodle-database"
  mysql -p${PWD} moodle < add_column_moodle.sql
else
  echo "column usercreated does already  exist! - nothing has to be done in mdl_course"
fi

